#if !defined(ARITH_H)
#define ARITH_H

#include "defs.h"

void arith_encode_init(void (*)(const uint8_t *, uint32_t));
void arith_encode_finish(void);
void arith_encode(uint32_t, uint32_t, uint32_t);
uint32_t arith_encode_wrote(void);

void arith_decode_init(void (*)(uint8_t *, uint32_t *), uint32_t);
void arith_decode_get_code(uint32_t *, uint32_t);
void arith_decode_remove(uint32_t, uint32_t, uint32_t);
uint32_t arith_decode_read(void);

#endif
