#include "crc.h"

uint32_t crc(const uint8_t *input, uint32_t size)
{
	// FNV hash
	// http://isthe.com/chongo/tech/comp/fnv/#FNV-1a
    uint32_t crc = 2166136261ULL;

    while(size -- > 0) {
		crc ^= input[size];
        crc *= 16777619;
	}

    return crc;
}
