#if !defined(TAG_H)
#define TAG_H

#include "defs.h"

typedef struct tag_block_t tag_block_t;
typedef struct tag_file_t tag_file_t;

struct tag_block_t {
    uint32_t crc_in;                    /* crc-ul inainte de modelare */
    uint32_t size_in;                   /* marimea blocului nemodelat */

    uint32_t size_out;                  /* marimea blocului dupa compresie */

    uint32_t arith_in;                  /* cat a primit AC pentru a sti cat decompresam */
    uint32_t bwt_index;                 /* indexul de la bwt */
};

struct tag_file_t {
    uint32_t id;                        /* id-ul, cred ca CHL! */
    uint32_t no_blocks;                 /* numarul de block-uri */
};

extern const char file_id[];

#endif
