#if !defined(DEFS_H)
#define DEFS_H

#if defined(__GNUC__)                 /* GNU C Compiler */

#include <stdint.h>

#elif defined(__WIN32)                /* Microsoft Visual Studio */

typedef unsigned __int64 uint64_t;
typedef unsigned __int32 uint32_t;
typedef unsigned __int16 uint16_t;
typedef unsigned __int8  uint8_t;

#else                                 /* in other cases */

typedef unsigned long long  uint64_t;
typedef unsigned int        uint32_t;
typedef unsigned short int  uint16_t;
typedef unsigned char       uint8_t;

#endif

#endif
